Package groovy.util

## Class ObservableMap.MultiPropertyEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableMap.PropertyEvent
      - - groovy.util.ObservableMap.MultiPropertyEvent

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    ObservableMap

      public static class ObservableMap.MultiPropertyEvent
      extends ObservableMap.PropertyEvent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `MULTI_PROPERTY` |

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiPropertyEvent​(java.lang.Object source, ObservableMap.PropertyEvent[] events)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObservableMap.PropertyEvent[]` | `getEvents()` |

    - ### Methods inherited from class groovy.util.ObservableMap.PropertyEvent

      `getChangeType, getType, getTypeAsString`

    - ### Methods inherited from class java.beans.PropertyChangeEvent

      `getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MULTI_PROPERTY

          public static final java.lang.String MULTI_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MultiPropertyEvent

          public MultiPropertyEvent​(java.lang.Object source,
                                    ObservableMap.PropertyEvent[] events)

  - ### Method Detail

    - #### getEvents

          public ObservableMap.PropertyEvent[] getEvents()